## org.eclipse.amp.escape.ide
Class AbstractFileWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.AbstractFileWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  ParameterFileWizard, TestRunFileWizard

    public abstract class AbstractFileWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Abstract file wizard modified from oAW.

Author:
  milesparker

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`AbstractFileWizard(java.lang.String fileTypeName, java.lang.String fileExtension, java.lang.String fileDescription)` Instantiates a new abstract file wizard.

Method Summary
`void` `addPages()` Adding the page to the wizard.
`java.lang.String` `getFileExtension()` Gets the file extension.
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)` We will accept the selection in the workbench to see if we can initialize from it.
`boolean` `performFinish()` This method is called when 'Finish' button is pressed in the wizard.
`void` `setFileExtension(java.lang.String fileExtension)` Sets the file extension.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### AbstractFileWizard

    public AbstractFileWizard(java.lang.String fileTypeName,
                              java.lang.String fileExtension,
                              java.lang.String fileDescription)

  Instantiates a new abstract file wizard.

  Parameters:
    `fileTypeName` - the file type name
    `fileExtension` - the file extension
    `fileDescription` - the file description

Method Detail

### getFileExtension

    public java.lang.String getFileExtension()

  Gets the file extension.

  Returns:
    the file extension

### setFileExtension

    public void setFileExtension(java.lang.String fileExtension)

  Sets the file extension.

  Parameters:
    `fileExtension` - the new file extension

### addPages

    public void addPages()

  Adding the page to the wizard.

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  This method is called when 'Finish' button is pressed in the wizard. We will create an operation and run it using wizard as execution context.

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`
  Returns:
    true, if perform finish

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  We will accept the selection in the workbench to see if we can initialize from it.

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`
  Parameters:
    `workbench` - the workbench
    `selection` - the selection
  See Also:
    `IWorkbenchWizard.init(IWorkbench, IStructuredSelection)`